package w83b.w83bOperacionesPaso.w83bPreavisos;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bAntesVueltaPreavisosImpugnaciones extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		

		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		contexto.set("codSelec",(String)contexto.get("codSelecIrImpugnaciones"));
		
		//restablecemos el inyectarUsuario original de actas
		String inyectarUser = (String)contexto.get("w83bSubOpFlag");
		contexto.set("inyectarUsuarioEnBean",(String)contexto.get("inyectarUsuarioEnBeanImpugnacionesAux"));
		contexto.set("inyectarUsuarioEnBeanImpugnacionesAux",inyectarUser);
		
		String tamanyoListaResults = (String)contexto.get("tamanyoListaResultsAux");
		contexto.set("tamanyoListaResults",tamanyoListaResults);
		contexto.set("pestanyaPreaviso", "4");
		return mapping.findForward("ok");

	}

}
